Subject: Re: [PATCH v2 00/10] config-hook cleanups and two small 'git hook list' features

From: Adrian Ratiu <[email-masked]>
Date: Tue, 24 Mar 2026 20:56:11 +0200

On Tue, 24 Mar 2026, Patrick Steinhardt <[email-masked]> wrote:
> On Mon, Mar 23, 2026 at 09:11:13AM -0700, Junio C Hamano wrote:
>> Adrian Ratiu <[email-masked]> writes:
>> 
>> > Hello everyone,
>> >
>> > v2 addresses all the feedback received in v1, many thanks to everyone
>> > who contributed.
>> >
>> > This series is just minor cleanups / refactorings + two minor feature additions
>> > to `git hook list`, which resulted from the previous series review discussions:
>> >
>> > 1. The ability to show the config scope (--show-scope).
>> > 2. The ability to show which hooks are disabled.
>> >
>> > This is now based on the master branch.
>> >
>> > I have pushed the branch to Github [1] and provided a clean CI run [2] with
>> > the exception of a known breakage for some MacOS builders (REG_ENHANCED).
>> >
>> > Thanks again,
>> > Adrian
>> >
>> > 1: https://github.com/10ne1/git/tree/dev/aratiu/config-cleanups-v2
>> > 2: https://github.com/10ne1/git/actions/runs/23340298770
>> >
>> > Changes in v2:
>> > * Cleanly rebased on master, no conflicts (Adrian)
>> > * Fix first patch build break by updating call-sites in same commit (Szeder)
>> > * Drop UNUSED from function declaration in the header file (Eric)
>> > * Drop the new struct hook_config_cache because it's redundant (Junio)
>> > * git hook list now prints in tab separated output format similar
>> >   to git config --show-scope to improve machine parseability (Junio, Patrick)
>> > * Fix small style issues, comments, type, commit messages. (Eric, Patrick)
>> 
>> These came just before the weekend for many people, so let's hold to
>> see if we hear further comments for a few days and then merge it
>> down to 'next'.
>
> Sorry, I've been a bit behind on the mailing list recently. I've got a
> few further comments that might warrant a v3, but I think we're overall
> close.

No worries, I appreciate all your reviewes and feedback!

I'll give it 1-2 more days in case other people have more feedback then
send a v3 which addresses everything you pointed out.